ipe::PdfNull Class Reference
Ipe Base

`#include <ipepdfparser.h>`

Inherits ipe::PdfObj.

## Public Member Functions

| PdfNull ()
virtual const PdfNull * | null () const noexcept
virtual void | write (Stream &stream, const PdfRenumber *renumber, bool inflate) const noexcept
Public Member Functions inherited from ipe::PdfObj
virtual | ~PdfObj ()=0
virtual const PdfBool * | boolean () const noexcept
virtual const PdfNumber * | number () const noexcept
virtual const PdfString * | string () const noexcept
virtual const PdfName * | name () const noexcept
virtual const PdfRef * | ref () const noexcept
virtual const PdfArray * | array () const noexcept
virtual const PdfDict * | dict () const noexcept
String | repr () const noexcept

## Detailed Description

The PDF null object.

## Constructor & Destructor Documentation

## PdfNull()

ipe::PdfNull::PdfNull | ( |  | ) |

inlineexplicit

References ipe::PdfObj::null(), and ipe::PdfObj::write().

## Member Function Documentation

## null()

const PdfNull * PdfNull::null | ( |  | ) | const

virtualnoexcept

Return this object as PDF null object.

Reimplemented from ipe::PdfObj.

## write()

void PdfNull::write | ( | Stream & | stream,
|  | const PdfRenumber * | renumber,
|  | bool | inflate
| ) |  | const

virtualnoexcept

Implements ipe::PdfObj.

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp